%define upstream_name    podlinkcheck
%define upstream_version 15

%{?perl_default_filter}

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Check Perl pod L<> link references 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Iterator)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Search::Dict)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant::defer)
BuildArch:  noarch

%description
podlinkcheck parses POD in a Perl script, module or documentation and
checks that L<> link targets exist, including a section there. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml SIGNATURE
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 15.0.0-5.mga9
+ Revision: 1811445
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 15.0.0-4.mga8
+ Revision: 1523702
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 15.0.0-3.mga7
+ Revision: 1374668
- fix summary+desc

* Thu Sep 20 2018 umeabot <umeabot> 15.0.0-2.mga7
+ Revision: 1288048
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Oct 04 2017 tv <tv> 15.0.0-1.mga7
+ Revision: 1168665
- update to 15

* Sun Jun 19 2016 pterjan <pterjan> 14.0.0-2.mga6
+ Revision: 1036249
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 14.0.0-1.mga6
+ Revision: 1002573
- Add missing BR
- New version 14

* Mon Feb 08 2016 umeabot <umeabot> 12.0.0-5.mga6
+ Revision: 942964
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 12.0.0-4.mga5
+ Revision: 745565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 12.0.0-3.mga5
+ Revision: 687701
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 12.0.0-1.mga4
+ Revision: 436572
- update to 12

* Sun Jan 13 2013 umeabot <umeabot> 11.0.0-2.mga3
+ Revision: 377997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 11.0.0-1.mga3
+ Revision: 341917
- update to 11

* Mon Jun 18 2012 kharec <kharec> 9.0.0-1.mga3
+ Revision: 261487
- update to 9

* Wed Jun 15 2011 jquelin <jquelin> 8.0.0-1.mga2
+ Revision: 106464
- update to 8

* Mon Mar 14 2011 jquelin <jquelin> 7.0.0-1.mga1
+ Revision: 71315
- imported package podlinkcheck


* Mon Mar 14 2011 cpan2dist 7-1mga
- initial mageia release, generated with cpan2dist
